EUREKA(6)

NAME
Eureka - a DOOM map editor

SYNOPSIS
eureka [FILE...] [OPTION...]

DESCRIPTION
Eureka is a cross-platform map editor for the classic DOOM games.

It features multiple-level undo and redo, a 3D preview, texture and thing browsers, a built-in nodes builder, panels for directly editing the properties of map objects, a flexible key binding system, and low system requirements (e.g. a 3D card is not required).

OPTIONS
Note that long options are shown here with two dashes, but may also be used with a single dash for compatibility with the original DOOM binary and various source ports.

-f, --file <file>...
    Wad file(s) to edit. This is mainly for compatibility with DOOM command-line syntax, since filenames are more easily provided without this option (i.e. directly after the program name).

    When no file is specified, Eureka will open the first map in the IWAD (game wad).

-w, --warp <map>
    Level to edit. This can be the full map name, e.g. "MAP12" or "E3M7", but can also be a single number like "12" or "37", or two separate numbers like "3 7" for compatibility with DOOM 1 and Ultimate DOOM.

    When absent, the first level found in the edited wad is used.

-i, --iwad <file>
    The name of the IWAD (game data). This also determines which game the map is for, e.g. "doom.wad" will mean the map is for DOOM 1, whereas "heretic.wad" will mean we are editing for the game Heretic.

-m, --merge <file>...
    Resource file(s) to load. These can be wad files containing textures, flats, sprites (etc) but can also be Eureka definitions files (with ".ugh" extension).

-p, --port <name>
    Port (engine) name. The default port is "boom", but some other supported ports are "vanilla" (the original EXE), "odamex", "edge" and "legacy".

-h, --help
    Show usage summary

-v, --version
    Show the version

-d, --debug
    Enable debugging messages

-q, --quiet
    Quiet mode (no messages on stdout)

CONFIGURATION OPTIONS
The following options control how Eureka finds some important files and directories. They are not particular useful per se, but may be needed for special circumstances.

--install <dir>
    The installation directory where game definition files, default key bindings, etc are stored. This defaults to $PREFIX/share/eureka (see FILES section below...)

    Specifying "." for the current directory is useful when testing a locally compiled version without doing "make install". In fact Eureka will try it automatically when it cannot find its normal installation directory.

--home <dir>
    The home directory where user settings, backups, etc are stored. This defaults to the ~/.eureka directory.

--log <file>
    File where all log messages are written. Defaults to "logs.txt" under the home directory.

--config <file>
    The config file which stores the general user settings (but not key bindings). This file will loaded during startup, and also saved to when the user uses the Preferences dialog.

FILES

$PREFIX/share/eureka/
    The installation directory for Eureka. PREFIX is typically /usr or /usr/local, depending on how Eureka was installed. This directory contains the standard key bindings, plus all the definition files (with .ugh extension) for the supported games, ports and mods.

~/.eureka/config.cfg
    Contains user settings

~/.eureka/bindings.cfg
    Contains user key bindings

~/.eureka/logs.txt
    The logs from the previous session of Eureka, or the current one if Eureka is currently running.

~/.eureka/backups
    Whenever a file is saved, Eureka makes a backup of the existing file and stores it here, in a directory based on the filename. Multiple backups are made, up to a configurable limit on number and total size of the files.

    If something goes awry with your wad, look here!

~/.eureka/iwads
    IWAD files can be placed here and Eureka will find them automatically

ENVIRONMENT

DOOMWADDIR
    If set, contains a single directory name where Eureka will look for IWADs.

DOOMWADPATH
    If set, contains a colon-separated list of directories where Eureka will look for IWADs.

SEE ALSO
glbsp(6), prboom(6), deutex(6), xwadtools(6)

Eureka site: http://eureka-editor.sourceforge.net/